ompi/mca/coll/sm/ Directory Reference.TH "ompi/mca/coll/sm/ Directory Reference" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/coll/sm/ Directory Reference \- 
.SS "Files"

.in +1c
.ti -1c
.RI "file \fBcoll_sm.h\fP"
.br
.ti -1c
.RI "file \fBcoll_sm_allreduce.c\fP"
.br
.ti -1c
.RI "file \fBcoll_sm_barrier.c\fP"
.br
.ti -1c
.RI "file \fBcoll_sm_bcast.c\fP"
.br
.ti -1c
.RI "file \fBcoll_sm_component.c\fP"
.br
.RI "\fIMost of the description of the data layout is in the \fBcoll_sm_module.c\fP file. \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBcoll_sm_module.c\fP"
.br
.RI "\fIWarning: this is not for the faint of heart -- don't even bother reading this source code if you don't have a strong understanding of nested data structures and pointer math (remember that associativity and order of C operations is *critical* in terms of pointer math!). \fP"
.PP
.in +1c

.ti -1c
.RI "file \fBcoll_sm_reduce.c\fP"
.br
.in -1c
